#!/usr/bin/python
#
# Open shutter script for INDI Dome Scripting Gateway
#
# Arguments: none
# Exit code: 0 for success, 1 for failure
#

import sys
from gpiozero import Servo
from time import sleep

myGPIO = 17
myCorrection=1.3
servo = Servo(myGPIO, min_pulse_width=(0.5)/1000, max_pulse_width=(2.5-myCorrection)/1000, pin_factory=None)

servo.max()
sleep(1)

servo.value = None

sys.exit(0)